import ErrorFormatter from '../common/ErrorFormatter';
import Node from '../executors/Node';
export default class NodeErrorFormatter extends ErrorFormatter {
    private fileSourceMaps;
    private fileSources;
    readonly executor: Node;
    constructor(executor: Node);
    /**
     * Dereference the source from a traceline.
     */
    protected _getSource(tracepath: string): string;
    private _getSourceHelper(tracepath);
    /**
     * Get the original position of line:column based on map.
     *
     * Assumes mappings are is in order by generatedLine, then by generatedColumn; maps created with
     * SourceMapConsumer.eachMapping should be in this order by default.
     */
    private getOriginalPosition(map, line, column?);
    /**
     * Load and process the source map for a given file.
     */
    private getSourceMap(filepath);
}
